Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.oil2
Interface OIL2ServerILServiceMBean

All Superinterfaces:
  ServerILJMXServiceMBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  OIL2ServerILService

public interface OIL2ServerILServiceMBean
extends ServerILJMXServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getBindAddress()` Get the interface address the OIL server bind its listening port on.
`String` | `getClientSocketFactory()` Get the javax.net.SocketFactory implementation class to use on the client.
`boolean` | `getEnableTcpNoDelay()` Gets the enableTcpNoDelay.
`String` | `getSecurityDomain()` Get the security domain name to use with SSL aware socket factories
`int` | `getServerBindPort()` Getter for property serverBindPort.
`String` | `getServerSocketFactory()` Get the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.
`void` | `setBindAddress(String host)` Set the interface address the OIL server bind its listening port on.
`void` | `setClientSocketFactory(String name)` Set the javax.net.SocketFactory implementation class to use on the client.
`void` | `setEnableTcpNoDelay(boolean enableTcpNoDelay)` Sets the enableTcpNoDelay.
`void` | `setSecurityDomain(String domainName)` Set the security domain name to use with SSL aware socket factories
`void` | `setServerBindPort(int serverBindPort)` Setter for property serverBindPort.
`void` | `setServerSocketFactory(String name)` Set the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.

Methods inherited from interface org.jboss.mq.il.ServerILJMXServiceMBean
`getClientID, getConnectionFactoryJNDIRef, getJBossMQService, getPingPeriod, getXAConnectionFactoryJNDIRef, setClientID, setConnectionFactoryJNDIRef, setInvoker, setPingPeriod, setXAConnectionFactoryJNDIRef`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getServerBindPort

    public int getServerBindPort()

  Getter for property serverBindPort.

  Returns:
    Value of property serverBindPort.

### setServerBindPort

    public void setServerBindPort(int serverBindPort)

  Setter for property serverBindPort.

  Parameters:
    `serverBindPort` - New value of property serverBindPort.

### getBindAddress

    public String getBindAddress()

  Get the interface address the OIL server bind its listening port on.

  Returns:
    The hostname or dotted decimal address that the service is bound to.

### setBindAddress

    public void setBindAddress(String host)
                        throws UnknownHostException

  Set the interface address the OIL server bind its listening port on.

  Parameters:
    `host` - The host address to bind to, if any.
  Throws:
    `UnknownHostException` - Thrown if the hostname cannot be resolved to an InetAddress object.

### getEnableTcpNoDelay

    public boolean getEnableTcpNoDelay()

  Gets the enableTcpNoDelay.

  Returns:
    Returns a boolean

### setEnableTcpNoDelay

    public void setEnableTcpNoDelay(boolean enableTcpNoDelay)

  Sets the enableTcpNoDelay.

  Parameters:
    `enableTcpNoDelay` - The enableTcpNoDelay to set

### getClientSocketFactory

    public String getClientSocketFactory()

  Get the javax.net.SocketFactory implementation class to use on the client.

### setClientSocketFactory

    public void setClientSocketFactory(String name)

  Set the javax.net.SocketFactory implementation class to use on the client.

### setServerSocketFactory

    public void setServerSocketFactory(String name)
                                throws Exception

  Set the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.

  Throws:
    `Exception`

### getServerSocketFactory

    public String getServerSocketFactory()

  Get the javax.net.ServerSocketFactory implementation class to use to create the service SocketFactory.

### setSecurityDomain

    public void setSecurityDomain(String domainName)

  Set the security domain name to use with SSL aware socket factories

### getSecurityDomain

    public String getSecurityDomain()

  Get the security domain name to use with SSL aware socket factories

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.